@echo off

set UTILITY_HOME=.

if "%JAVA_HOME%" == "" GOTO NO_JAVA

set JAVA_OPTIONS=-Xms512m -Xmx2048m
set JAVA_TOOL_OPTIONS=-Dfile.encoding=UTF8
Rem -Djava.util.logging.config.file=%UTILITY_HOME%\data-migration-logging.properties
"%JAVA_HOME%\bin\java" %JAVA_OPTIONS% -classpath "%UTILITY_HOME%;%UTILITY_HOME%/*" com.bmc.bhd.SrBhdConversionCLI %*
GOTO END

:NO_JAVA
@echo JAVA_HOME environment variable is not defined. 

:END